source: src/libcfa/Makefile.in @ f96b061

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since f96b061 was a922e34, checked in by Peter A. Buhr <pabuhr@…>, 8 years ago

have vector object files created in subdirectory

  • Property mode set to 100644
File size: 21.4 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__dirstamp = $(am__leading_dot)dirstamp
92am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
93        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
94        rational.$(OBJEXT) containers/vector.$(OBJEXT)
95am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
96libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
97DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
98depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
99am__depfiles_maybe = depfiles
100am__mv = mv -f
101COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
102        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
103AM_V_CC = $(am__v_CC_@AM_V@)
104am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
105am__v_CC_0 = @echo "  CC    " $@;
106CCLD = $(CC)
107LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
108AM_V_CCLD = $(am__v_CCLD_@AM_V@)
109am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
110am__v_CCLD_0 = @echo "  CCLD  " $@;
111AM_V_GEN = $(am__v_GEN_@AM_V@)
112am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113am__v_GEN_0 = @echo "  GEN   " $@;
114SOURCES = $(libcfa_a_SOURCES)
115DIST_SOURCES = $(libcfa_a_SOURCES)
116DATA = $(cfalib_DATA)
117HEADERS = $(nobase_include_HEADERS)
118ETAGS = etags
119CTAGS = ctags
120DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
121ACLOCAL = @ACLOCAL@
122ALLOCA = @ALLOCA@
123AMTAR = @AMTAR@
124AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
125AUTOCONF = @AUTOCONF@
126AUTOHEADER = @AUTOHEADER@
127AUTOMAKE = @AUTOMAKE@
128AWK = @AWK@
129BACKEND_CC = @BACKEND_CC@
130CC = ${abs_top_srcdir}/src/driver/cfa
131CCDEPMODE = @CCDEPMODE@
132CFA_BACKEND_CC = @CFA_BACKEND_CC@
133CFA_BINDIR = @CFA_BINDIR@
134CFA_INCDIR = @CFA_INCDIR@
135CFA_LIBDIR = @CFA_LIBDIR@
136CFA_PREFIX = @CFA_PREFIX@
137CFLAGS = -quiet -g -Wall -Wno-unused-function -B${abs_top_srcdir}/src/driver -XCFA -t  # TEMPORARY: does not build with -O2
138CPP = @CPP@
139CPPFLAGS = @CPPFLAGS@
140CXX = @CXX@
141CXXDEPMODE = @CXXDEPMODE@
142CXXFLAGS = @CXXFLAGS@
143CYGPATH_W = @CYGPATH_W@
144DEFS = @DEFS@
145DEPDIR = @DEPDIR@
146ECHO_C = @ECHO_C@
147ECHO_N = @ECHO_N@
148ECHO_T = @ECHO_T@
149EGREP = @EGREP@
150EXEEXT = @EXEEXT@
151GREP = @GREP@
152INSTALL = @INSTALL@
153INSTALL_DATA = @INSTALL_DATA@
154INSTALL_PROGRAM = @INSTALL_PROGRAM@
155INSTALL_SCRIPT = @INSTALL_SCRIPT@
156INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
157LDFLAGS = @LDFLAGS@
158LEX = @LEX@
159LEXLIB = @LEXLIB@
160LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
161LIBOBJS = @LIBOBJS@
162LIBS = @LIBS@
163LTLIBOBJS = @LTLIBOBJS@
164MAINT = @MAINT@
165MAKEINFO = @MAKEINFO@
166MKDIR_P = @MKDIR_P@
167OBJEXT = @OBJEXT@
168PACKAGE = @PACKAGE@
169PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
170PACKAGE_NAME = @PACKAGE_NAME@
171PACKAGE_STRING = @PACKAGE_STRING@
172PACKAGE_TARNAME = @PACKAGE_TARNAME@
173PACKAGE_URL = @PACKAGE_URL@
174PACKAGE_VERSION = @PACKAGE_VERSION@
175PATH_SEPARATOR = @PATH_SEPARATOR@
176RANLIB = @RANLIB@
177SET_MAKE = @SET_MAKE@
178SHELL = @SHELL@
179STRIP = @STRIP@
180VERSION = @VERSION@
181YACC = @YACC@
182YFLAGS = @YFLAGS@
183abs_builddir = @abs_builddir@
184abs_srcdir = @abs_srcdir@
185abs_top_builddir = @abs_top_builddir@
186abs_top_srcdir = @abs_top_srcdir@
187ac_ct_CC = @ac_ct_CC@
188ac_ct_CXX = @ac_ct_CXX@
189am__include = @am__include@
190am__leading_dot = @am__leading_dot@
191am__quote = @am__quote@
192am__tar = @am__tar@
193am__untar = @am__untar@
194bindir = @bindir@
195build_alias = @build_alias@
196builddir = @builddir@
197datadir = @datadir@
198datarootdir = @datarootdir@
199docdir = @docdir@
200dvidir = @dvidir@
201exec_prefix = @exec_prefix@
202host_alias = @host_alias@
203htmldir = @htmldir@
204includedir = @includedir@
205infodir = @infodir@
206install_sh = @install_sh@
207libdir = @libdir@
208libexecdir = @libexecdir@
209localedir = @localedir@
210localstatedir = @localstatedir@
211mandir = @mandir@
212mkdir_p = @mkdir_p@
213oldincludedir = @oldincludedir@
214pdfdir = @pdfdir@
215prefix = @prefix@
216program_transform_name = @program_transform_name@
217psdir = @psdir@
218sbindir = @sbindir@
219sharedstatedir = @sharedstatedir@
220srcdir = @srcdir@
221sysconfdir = @sysconfdir@
222target_alias = @target_alias@
223top_build_prefix = @top_build_prefix@
224top_builddir = @top_builddir@
225top_srcdir = @top_srcdir@
226
227# create object files in directory with source files
228AUTOMAKE_OPTIONS = subdir-objects
229lib_LIBRARIES = libcfa.a
230
231# put into lib for now
232cfalibdir = ${libdir}
233cfalib_DATA = builtins.cf extras.cf prelude.cf
234MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
235headers = limits stdlib math iostream fstream iterator rational containers/vector
236libobjs = ${headers:=.o}
237libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
238nobase_include_HEADERS = ${headers} stdio.h
239CLEANFILES = libcfa-prelude.c
240all: all-am
241
242.SUFFIXES:
243.SUFFIXES: .c .o .obj
244$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
245        @for dep in $?; do \
246          case '$(am__configure_deps)' in \
247            *$$dep*) \
248              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
249                && { if test -f $@; then exit 0; else break; fi; }; \
250              exit 1;; \
251          esac; \
252        done; \
253        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
254        $(am__cd) $(top_srcdir) && \
255          $(AUTOMAKE) --foreign src/libcfa/Makefile
256.PRECIOUS: Makefile
257Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
258        @case '$?' in \
259          *config.status*) \
260            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
261          *) \
262            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
263            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
264        esac;
265
266$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
267        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
268
269$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
270        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
271$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
272        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
273$(am__aclocal_m4_deps):
274install-libLIBRARIES: $(lib_LIBRARIES)
275        @$(NORMAL_INSTALL)
276        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
277        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
278        list2=; for p in $$list; do \
279          if test -f $$p; then \
280            list2="$$list2 $$p"; \
281          else :; fi; \
282        done; \
283        test -z "$$list2" || { \
284          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
285          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
286        @$(POST_INSTALL)
287        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
288        for p in $$list; do \
289          if test -f $$p; then \
290            $(am__strip_dir) \
291            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
292            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
293          else :; fi; \
294        done
295
296uninstall-libLIBRARIES:
297        @$(NORMAL_UNINSTALL)
298        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
299        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
300        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
301
302clean-libLIBRARIES:
303        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
304containers/$(am__dirstamp):
305        @$(MKDIR_P) containers
306        @: > containers/$(am__dirstamp)
307containers/$(DEPDIR)/$(am__dirstamp):
308        @$(MKDIR_P) containers/$(DEPDIR)
309        @: > containers/$(DEPDIR)/$(am__dirstamp)
310containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
311        containers/$(DEPDIR)/$(am__dirstamp)
312libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
313        $(AM_V_at)-rm -f libcfa.a
314        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
315        $(AM_V_at)$(RANLIB) libcfa.a
316
317mostlyclean-compile:
318        -rm -f *.$(OBJEXT)
319        -rm -f containers/vector.$(OBJEXT)
320
321distclean-compile:
322        -rm -f *.tab.c
323
324@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
325@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
326@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
327@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
328@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
329@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
330@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
331@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
332@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
333
334.c.o:
335@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
336@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
337@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
338@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
339@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
340@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
341
342.c.obj:
343@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
344@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
345@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
346@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
347@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
348@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
349install-cfalibDATA: $(cfalib_DATA)
350        @$(NORMAL_INSTALL)
351        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
352        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
353        for p in $$list; do \
354          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
355          echo "$$d$$p"; \
356        done | $(am__base_list) | \
357        while read files; do \
358          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
359          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
360        done
361
362uninstall-cfalibDATA:
363        @$(NORMAL_UNINSTALL)
364        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
365        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
366        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
367install-nobase_includeHEADERS: $(nobase_include_HEADERS)
368        @$(NORMAL_INSTALL)
369        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
370        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
371        $(am__nobase_list) | while read dir files; do \
372          xfiles=; for file in $$files; do \
373            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
374            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
375          test -z "$$xfiles" || { \
376            test "x$$dir" = x. || { \
377              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
378              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
379            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
380            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
381        done
382
383uninstall-nobase_includeHEADERS:
384        @$(NORMAL_UNINSTALL)
385        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
386        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
387        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
388
389ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
390        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
391        unique=`for i in $$list; do \
392            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
393          done | \
394          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
395              END { if (nonempty) { for (i in files) print i; }; }'`; \
396        mkid -fID $$unique
397tags: TAGS
398
399TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
400                $(TAGS_FILES) $(LISP)
401        set x; \
402        here=`pwd`; \
403        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
404        unique=`for i in $$list; do \
405            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
406          done | \
407          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
408              END { if (nonempty) { for (i in files) print i; }; }'`; \
409        shift; \
410        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
411          test -n "$$unique" || unique=$$empty_fix; \
412          if test $$# -gt 0; then \
413            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
414              "$$@" $$unique; \
415          else \
416            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
417              $$unique; \
418          fi; \
419        fi
420ctags: CTAGS
421CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
422                $(TAGS_FILES) $(LISP)
423        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
424        unique=`for i in $$list; do \
425            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
426          done | \
427          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
428              END { if (nonempty) { for (i in files) print i; }; }'`; \
429        test -z "$(CTAGS_ARGS)$$unique" \
430          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
431             $$unique
432
433GTAGS:
434        here=`$(am__cd) $(top_builddir) && pwd` \
435          && $(am__cd) $(top_srcdir) \
436          && gtags -i $(GTAGS_ARGS) "$$here"
437
438distclean-tags:
439        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
440
441distdir: $(DISTFILES)
442        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
443        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
444        list='$(DISTFILES)'; \
445          dist_files=`for file in $$list; do echo $$file; done | \
446          sed -e "s|^$$srcdirstrip/||;t" \
447              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
448        case $$dist_files in \
449          */*) $(MKDIR_P) `echo "$$dist_files" | \
450                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
451                           sort -u` ;; \
452        esac; \
453        for file in $$dist_files; do \
454          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
455          if test -d $$d/$$file; then \
456            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
457            if test -d "$(distdir)/$$file"; then \
458              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
459            fi; \
460            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
461              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
462              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
463            fi; \
464            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
465          else \
466            test -f "$(distdir)/$$file" \
467            || cp -p $$d/$$file "$(distdir)/$$file" \
468            || exit 1; \
469          fi; \
470        done
471check-am: all-am
472check: check-am
473all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
474installdirs:
475        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
476          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
477        done
478install: install-am
479install-exec: install-exec-am
480install-data: install-data-am
481uninstall: uninstall-am
482
483install-am: all-am
484        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
485
486installcheck: installcheck-am
487install-strip:
488        if test -z '$(STRIP)'; then \
489          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
490            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
491              install; \
492        else \
493          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
494            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
495            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
496        fi
497mostlyclean-generic:
498
499clean-generic:
500        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
501
502distclean-generic:
503        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
504        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
505        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
506        -rm -f containers/$(am__dirstamp)
507
508maintainer-clean-generic:
509        @echo "This command is intended for maintainers to use"
510        @echo "it deletes files that may require special tools to rebuild."
511        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
512clean: clean-am
513
514clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
515
516distclean: distclean-am
517        -rm -rf ./$(DEPDIR) containers/$(DEPDIR)
518        -rm -f Makefile
519distclean-am: clean-am distclean-compile distclean-generic \
520        distclean-tags
521
522dvi: dvi-am
523
524dvi-am:
525
526html: html-am
527
528html-am:
529
530info: info-am
531
532info-am:
533
534install-data-am: install-cfalibDATA install-nobase_includeHEADERS
535
536install-dvi: install-dvi-am
537
538install-dvi-am:
539
540install-exec-am: install-libLIBRARIES
541
542install-html: install-html-am
543
544install-html-am:
545
546install-info: install-info-am
547
548install-info-am:
549
550install-man:
551
552install-pdf: install-pdf-am
553
554install-pdf-am:
555
556install-ps: install-ps-am
557
558install-ps-am:
559
560installcheck-am:
561
562maintainer-clean: maintainer-clean-am
563        -rm -rf ./$(DEPDIR) containers/$(DEPDIR)
564        -rm -f Makefile
565maintainer-clean-am: distclean-am maintainer-clean-generic \
566        maintainer-clean-local
567
568mostlyclean: mostlyclean-am
569
570mostlyclean-am: mostlyclean-compile mostlyclean-generic
571
572pdf: pdf-am
573
574pdf-am:
575
576ps: ps-am
577
578ps-am:
579
580uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
581        uninstall-nobase_includeHEADERS
582
583.MAKE: install-am install-strip
584
585.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
586        clean-libLIBRARIES ctags distclean distclean-compile \
587        distclean-generic distclean-tags distdir dvi dvi-am html \
588        html-am info info-am install install-am install-cfalibDATA \
589        install-data install-data-am install-dvi install-dvi-am \
590        install-exec install-exec-am install-html install-html-am \
591        install-info install-info-am install-libLIBRARIES install-man \
592        install-nobase_includeHEADERS install-pdf install-pdf-am \
593        install-ps install-ps-am install-strip installcheck \
594        installcheck-am installdirs maintainer-clean \
595        maintainer-clean-generic maintainer-clean-local mostlyclean \
596        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
597        tags uninstall uninstall-am uninstall-cfalibDATA \
598        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
599
600
601# create extra forward types/declarations to reduce inclusion of library files
602extras.cf : extras.regx extras.c
603        @BACKEND_CC@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
604
605# create forward declarations for gcc builtins
606builtins.cf : builtins.c
607        if [ -e $< ] ; then \
608                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
609        fi
610
611builtins.c : builtins.def prototypes.awk
612        if [ -e $< ] ; then \
613                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
614        fi
615
616builtins.def :
617
618prototypes.awk :
619
620#--------------------------------------------------
621
622libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
623        ${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
624
625libcfa-prelude.o : libcfa-prelude.c
626        @BACKEND_CC@ -c -o $@ $<
627
628# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
629% : %.c
630        @true
631
632${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA}        # add dependency to cfa-cpp so all libraries are rebuilt with new translator
633
634maintainer-clean-local:
635        -rm -rf ${includedir}/*
636
637# Tell versions [3.59,3.63) of GNU make to not export all variables.
638# Otherwise a system limit (for SysV at least) may be exceeded.
639.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.